<?php

namespace Andy\Calendar\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Calendar extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_andy_calendar';
		$structure->shortName = 'Andy\Calendar:Calendar';
		$structure->primaryKey = 'calendar_id';
		$structure->columns = [
			'calendar_id' => ['type' => self::UINT, 'autoIncrement' => true, 'nullable' => true],
			'thread_id' => ['type' => self::UINT, 'required' => true],
			'calendar_date' => ['type' => self::STR, 'maxLength' => 8, 'default' => ''],
			'user_id' => ['type' => self::UINT, 'required' => true],
		];
		$structure->getters = [];
		$structure->relations = [
			'Thread' => [
				'entity' => 'XF:Thread',
				'type' => self::TO_ONE,
				'conditions' => 'thread_id',
				'primary' => true
			]
		];

		return $structure;
	}	
}