<?php

namespace Andy\Calendar;

use XF\AddOn\AbstractSetup;

class Setup extends AbstractSetup
{
	public function install(array $stepParams = [])
	{
		$this->query(
			"CREATE TABLE xf_andy_calendar (
			calendar_id INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
			thread_id INT(10) UNSIGNED NOT NULL,
			calendar_date VARCHAR(8) NOT NULL,
			user_id INT(10) UNSIGNED NOT NULL
			) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_general_ci
		");	
		
		$this->query(
			"ALTER TABLE xf_andy_calendar ADD INDEX thread_id (thread_id)
		");			
		
		$this->query(
			"ALTER TABLE xf_thread
				ADD andy_calendar TINYINT(1) UNSIGNED NOT NULL DEFAULT 0
		");	
		
		$this->query(
			"ALTER TABLE xf_thread ADD INDEX andy_calendar (andy_calendar)
		");
	}
	
	public function upgrade(array $stepParams = [])
	{	
	}

	public function uninstall(array $stepParams = [])
	{
		$this->query(
			"DROP TABLE xf_andy_calendar
		");
		
		$this->query(
			"ALTER TABLE xf_thread
				DROP andy_calendar
		");		
	}
}